# Class ValidateStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ui.texteditor.ValidateStateException

All Implemented Interfaces:
  `Serializable`

@Deprecated(forRemoval=true, since="2025-12") public class ValidateStateException extends CoreException
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used, create a `CoreException` instead
Formerly thrown by `AbstractDocumentProvider.doValidateState(Object, Object)`.

This class is not intended to be serialized.

Since:
  2.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValidateStateException(IStatus status)`
Deprecated.

## Method Summary

### Methods inherited from class CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValidateStateException

@Deprecated public ValidateStateException(IStatus status)
Deprecated.